﻿Imports DialogFensterTest2.ViewModel.Services

Namespace Services

    Public Class DialogWindowService
        Implements IDialogWindowService
        Private _currentSpsWindow As View.DialogFenster
        Public Function ShowModalDialog(windowname As String, datacontext As Object, owner As Object, Optional topMost As Boolean = False, Optional showInTaskbar As Boolean = True) As Boolean Implements IDialogWindowService.ShowModalDialog
            Dim spswin As New View.DialogFenster(windowname, datacontext, SizeToContent.WidthAndHeight, WindowStartupLocation.CenterOwner)
            _currentSpsWindow = spswin
            spswin.Topmost = topMost
            spswin.ShowInTaskbar = showInTaskbar
            spswin.Owner = spswin.FindOwnerWindow(owner)
            Return CType(Application.Current.Dispatcher.Invoke(Function() spswin.ShowDialog), Boolean)
        End Function
        Public Sub CloseDialog() Implements IDialogWindowService.CloseDialog
            If _currentSpsWindow IsNot Nothing Then
                _currentSpsWindow.Close()
            End If
        End Sub
    End Class
End Namespace